Subject: [PATCH net-next 0/2] mlx4/en_netdev: allow offloading VXLAN over VLAN

From: Davide Caratti <[email-masked]>
Date: Wed, 24 Jul 2019 16:02:52 +0200

When VXLAN offload is enabled on ConnectX-3 Pro devices, the NIC can
segment correctly also VXLAN packet with a VLAN tag: this series ensures
that a VLAN created on top of a mlx4_en NIC inherits the tunnel offload
capabilities.

Davide Caratti (2):
  mlx4/en_netdev: update vlan features with tunnel offloads
  mlx4/en_netdev: call notifiers when hw_enc_features change

 .../net/ethernet/mellanox/mlx4/en_netdev.c    | 60 ++++++++++++-------
 1 file changed, 37 insertions(+), 23 deletions(-)

-- 
2.20.1